#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	
	int A,B,C=0,n=1;


	while(n){
	scanf("%d %d",&A,&B);
    if(A<=500 && A>=0 && B<=500 && B>=0)
    n=0;
    }
    
	if(A+B<256)
	{
		C = 256 - (A>B ? A :B);
	}
	printf("%d",C);

	return 0;
}